Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ni.rio
Class NiRioStatus

    java.lang.Object
      com.ni.rio.NiRioStatus

    public class NiRioStatus

extends Object

The NiRioStatus class encapsulates a cRIO status value. The NiRioStatus class also defines the various status constants used by the cRIO.

Nested Class Summary
`static class` | `NiRioStatus.FatalStatusException`

Field Summary
`static int` | `kRIOStatusAccessDenied`
`static int` | `kRIOStatusAliasNotFound`
`static int` | `kRIOStatusBadDeviceControlCode`
`static int` | `kRIOStatusBadSelector`
`static int` | `kRIOStatusBufferInvalidSize`
`static int` | `kRIOStatusBufferNotAllocated`
`static int` | `kRIOStatusComponentNotFound`
`static int` | `kRIOStatusDeprecatedFunction`
`static int` | `kRIOStatusDeviceInvalidStateTransition`
`static int` | `kRIOStatusDeviceInvariant`
`static int` | `kRIOStatusDeviceNotFound`
`static int` | `kRIOStatusDeviceReconfigured`
`static int` | `kRioStatusDmaOutputNotSupported`
`static int` | `kRIOStatusDynamicCastFailed`
`static int` | `kRIOStatusEndOfData`
`static int` | `kRIOStatusEventEnabled`
`static int` | `kRIOStatusEventInvalid`
`static int` | `kRIOStatusEventInvalidOperation`
`static int` | `kRIOStatusEventNotEnabled`
`static int` | `kRIOStatusEventTimedOut`
`static int` | `kRIOStatusFeatureNotSupported`
`static int` | `kRIOStatusFifoReserved`
`static int` | `kRIOStatusFileError`
`static int` | `kRIOStatusHardwareFault`
`static int` | `kRIOStatusInvalidAliasName`
`static int` | `kRIOStatusInvalidAttribute`
`static int` | `kRIOStatusInvalidAttributeValue`
`static int` | `kRIOStatusInvalidDeviceAccess`
`static int` | `kRIOStatusInvalidFunction`
`static int` | `kRIOStatusInvalidHandle`
`static int` | `kRIOStatusInvalidParameter`
`static int` | `kRIOStatusInvalidPattern`
`static int` | `kRIOStatusInvalidPort`
`static int` | `kRIOStatusInvalidResourceName`
`static int` | `kRIOStatusInvalidStateTransition`
`static int` | `kRIOStatusIOInvalidAddressRange`
`static int` | `kRIOStatusIOInvalidBuffer`
`static int` | `kRIOStatusIrrelevantAttribute`
`static int` | `kRIOStatusMarkedForDelete`
`static int` | `kRIOStatusMemoryFull`
`static int` | `kRIOStatusNetworkFault`
`static int` | `kRIOStatusObjectNameCollision`
`static int` | `kRioStatusOffset`
`static int` | `kRIOStatusOperationPending`
`static int` | `kRIOStatusOperationTimedOut`
`static int` | `kRIOStatusOSFault`
`static int` | `kRIOStatusOutOfHandles`
`static int` | `kRIOStatusPageLockFailed`
`static int` | `kRIOStatusRemoteTarget`
`static int` | `kRIOStatusResourceInitialized`
`static int` | `kRIOStatusResourceNotFound`
`static int` | `kRIOStatusResourceNotInitialized`
`static int` | `kRIOStatusRioRpcSessionError`
`static int` | `kRIOStatusRPCConnectionError`
`static int` | `kRIOStatusRPCServerError`
`static int` | `kRIOStatusSoftwareFault`
`static int` | `kRioStatusSuccess`
`static int` | `kRIOStatusSyncAcquireFailed`
`static int` | `kRIOStatusSyncObjectAbandoned`
`static int` | `kRIOStatusThreadAlreadyStarted`
`static int` | `kRIOStatusTriggerNotReserved`
`static int` | `kRIOStatusTriggerNotSupported`
`static int` | `kRIOStatusTriggerReserved`
`static int` | `kRIOStatusVersionMismatch`

Constructor Summary
`NiRioStatus()`

Method Summary
`void` | `assertNonfatal()`
`int` | `getPointer()`
`int` | `getStatusCode()`
`boolean` | `isFatal()`
`boolean` | `isNotFatal()`
`void` | `setStatus(int newStatusCode)` Update the status code to the most serious of the existing status code or the new status code.
`void` | `setStatus(NiRioStatus newStatus)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kRioStatusOffset

    public static final int kRioStatusOffset

See Also:
  Constant Field Values

### kRioStatusSuccess

    public static final int kRioStatusSuccess

See Also:
  Constant Field Values

### kRioStatusDmaOutputNotSupported

    public static final int kRioStatusDmaOutputNotSupported

See Also:
  Constant Field Values

### kRIOStatusIOInvalidAddressRange

    public static final int kRIOStatusIOInvalidAddressRange

See Also:
  Constant Field Values

### kRIOStatusIOInvalidBuffer

    public static final int kRIOStatusIOInvalidBuffer

See Also:
  Constant Field Values

### kRIOStatusDeviceReconfigured

    public static final int kRIOStatusDeviceReconfigured

See Also:
  Constant Field Values

### kRIOStatusDeviceInvariant

    public static final int kRIOStatusDeviceInvariant

See Also:
  Constant Field Values

### kRIOStatusDeviceInvalidStateTransition

    public static final int kRIOStatusDeviceInvalidStateTransition

See Also:
  Constant Field Values

### kRIOStatusAccessDenied

    public static final int kRIOStatusAccessDenied

See Also:
  Constant Field Values

### kRIOStatusRPCConnectionError

    public static final int kRIOStatusRPCConnectionError

See Also:
  Constant Field Values

### kRIOStatusRPCServerError

    public static final int kRIOStatusRPCServerError

See Also:
  Constant Field Values

### kRIOStatusNetworkFault

    public static final int kRIOStatusNetworkFault

See Also:
  Constant Field Values

### kRIOStatusRioRpcSessionError

    public static final int kRIOStatusRioRpcSessionError

See Also:
  Constant Field Values

### kRIOStatusTriggerReserved

    public static final int kRIOStatusTriggerReserved

See Also:
  Constant Field Values

### kRIOStatusTriggerNotReserved

    public static final int kRIOStatusTriggerNotReserved

See Also:
  Constant Field Values

### kRIOStatusTriggerNotSupported

    public static final int kRIOStatusTriggerNotSupported

See Also:
  Constant Field Values

### kRIOStatusEventInvalid

    public static final int kRIOStatusEventInvalid

See Also:
  Constant Field Values

### kRIOStatusEventEnabled

    public static final int kRIOStatusEventEnabled

See Also:
  Constant Field Values

### kRIOStatusEventNotEnabled

    public static final int kRIOStatusEventNotEnabled

See Also:
  Constant Field Values

### kRIOStatusEventTimedOut

    public static final int kRIOStatusEventTimedOut

See Also:
  Constant Field Values

### kRIOStatusEventInvalidOperation

    public static final int kRIOStatusEventInvalidOperation

See Also:
  Constant Field Values

### kRIOStatusBufferInvalidSize

    public static final int kRIOStatusBufferInvalidSize

See Also:
  Constant Field Values

### kRIOStatusBufferNotAllocated

    public static final int kRIOStatusBufferNotAllocated

See Also:
  Constant Field Values

### kRIOStatusFifoReserved

    public static final int kRIOStatusFifoReserved

See Also:
  Constant Field Values

### kRIOStatusHardwareFault

    public static final int kRIOStatusHardwareFault

See Also:
  Constant Field Values

### kRIOStatusResourceInitialized

    public static final int kRIOStatusResourceInitialized

See Also:
  Constant Field Values

### kRIOStatusResourceNotFound

    public static final int kRIOStatusResourceNotFound

See Also:
  Constant Field Values

### kRIOStatusInvalidAliasName

    public static final int kRIOStatusInvalidAliasName

See Also:
  Constant Field Values

### kRIOStatusAliasNotFound

    public static final int kRIOStatusAliasNotFound

See Also:
  Constant Field Values

### kRIOStatusInvalidDeviceAccess

    public static final int kRIOStatusInvalidDeviceAccess

See Also:
  Constant Field Values

### kRIOStatusInvalidPort

    public static final int kRIOStatusInvalidPort

See Also:
  Constant Field Values

### kRIOStatusRemoteTarget

    public static final int kRIOStatusRemoteTarget

See Also:
  Constant Field Values

### kRIOStatusDeprecatedFunction

    public static final int kRIOStatusDeprecatedFunction

See Also:
  Constant Field Values

### kRIOStatusInvalidPattern

    public static final int kRIOStatusInvalidPattern

See Also:
  Constant Field Values

### kRIOStatusBadDeviceControlCode

    public static final int kRIOStatusBadDeviceControlCode

See Also:
  Constant Field Values

### kRIOStatusInvalidResourceName

    public static final int kRIOStatusInvalidResourceName

See Also:
  Constant Field Values

### kRIOStatusFeatureNotSupported

    public static final int kRIOStatusFeatureNotSupported

See Also:
  Constant Field Values

### kRIOStatusVersionMismatch

    public static final int kRIOStatusVersionMismatch

See Also:
  Constant Field Values

### kRIOStatusInvalidHandle

    public static final int kRIOStatusInvalidHandle

See Also:
  Constant Field Values

### kRIOStatusInvalidAttribute

    public static final int kRIOStatusInvalidAttribute

See Also:
  Constant Field Values

### kRIOStatusInvalidAttributeValue

    public static final int kRIOStatusInvalidAttributeValue

See Also:
  Constant Field Values

### kRIOStatusOutOfHandles

    public static final int kRIOStatusOutOfHandles

See Also:
  Constant Field Values

### kRIOStatusInvalidFunction

    public static final int kRIOStatusInvalidFunction

See Also:
  Constant Field Values

### kRIOStatusMemoryFull

    public static final int kRIOStatusMemoryFull

See Also:
  Constant Field Values

### kRIOStatusPageLockFailed

    public static final int kRIOStatusPageLockFailed

See Also:
  Constant Field Values

### kRIOStatusSoftwareFault

    public static final int kRIOStatusSoftwareFault

See Also:
  Constant Field Values

### kRIOStatusDynamicCastFailed

    public static final int kRIOStatusDynamicCastFailed

See Also:
  Constant Field Values

### kRIOStatusInvalidParameter

    public static final int kRIOStatusInvalidParameter

See Also:
  Constant Field Values

### kRIOStatusOperationTimedOut

    public static final int kRIOStatusOperationTimedOut

See Also:
  Constant Field Values

### kRIOStatusOSFault

    public static final int kRIOStatusOSFault

See Also:
  Constant Field Values

### kRIOStatusMarkedForDelete

    public static final int kRIOStatusMarkedForDelete

See Also:
  Constant Field Values

### kRIOStatusResourceNotInitialized

    public static final int kRIOStatusResourceNotInitialized

See Also:
  Constant Field Values

### kRIOStatusOperationPending

    public static final int kRIOStatusOperationPending

See Also:
  Constant Field Values

### kRIOStatusEndOfData

    public static final int kRIOStatusEndOfData

See Also:
  Constant Field Values

### kRIOStatusObjectNameCollision

    public static final int kRIOStatusObjectNameCollision

See Also:
  Constant Field Values

### kRIOStatusSyncObjectAbandoned

    public static final int kRIOStatusSyncObjectAbandoned

See Also:
  Constant Field Values

### kRIOStatusSyncAcquireFailed

    public static final int kRIOStatusSyncAcquireFailed

See Also:
  Constant Field Values

### kRIOStatusThreadAlreadyStarted

    public static final int kRIOStatusThreadAlreadyStarted

See Also:
  Constant Field Values

### kRIOStatusInvalidStateTransition

    public static final int kRIOStatusInvalidStateTransition

See Also:
  Constant Field Values

### kRIOStatusIrrelevantAttribute

    public static final int kRIOStatusIrrelevantAttribute

See Also:
  Constant Field Values

### kRIOStatusBadSelector

    public static final int kRIOStatusBadSelector

See Also:
  Constant Field Values

### kRIOStatusComponentNotFound

    public static final int kRIOStatusComponentNotFound

See Also:
  Constant Field Values

### kRIOStatusDeviceNotFound

    public static final int kRIOStatusDeviceNotFound

See Also:
  Constant Field Values

### kRIOStatusFileError

    public static final int kRIOStatusFileError

See Also:
  Constant Field Values

Constructor Detail

### NiRioStatus

    public NiRioStatus()

Method Detail

### getPointer

    public int getPointer()

### isFatal

    public boolean isFatal()

### isNotFatal

    public boolean isNotFatal()

### setStatus

    public void setStatus(int newStatusCode)

  Update the status code to the most serious of the existing status code or the new status code. If the resulting code is "fatal" throw NiRioStatus.FatalStatusException.

  Parameters:
    `newStatusCode` -

### setStatus

    public void setStatus(NiRioStatus newStatus)

### getStatusCode

    public int getStatusCode()

### assertNonfatal

    public void assertNonfatal()
                        throws IllegalStateException

  Throws:
    `IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"